Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455759 - xmlrpc call delta_packages checks wrong list for package removals
Summary: xmlrpc call delta_packages checks wrong list for package removals
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum-rhn-plugin
Version: 5.0
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Pradeep Kilambi
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 455760
TreeView+ depends on / blocked
 
Reported: 2008-07-17 16:24 UTC by Martin Poole
Modified: 2018-10-20 02:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 21:54:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0195 normal SHIPPED_LIVE yum-rhn-plugin bug fix and enhancement update 2009-01-20 16:06:01 UTC

Description Martin Poole 2008-07-17 16:24:43 UTC
Description of problem:

changes to packages on client machines are communicated to satellite via the
xmlrpc call "delta_packages"  The data supplied with the call is in two lists
"added" and "removed"  Unfortunately satellite checks for the lists "added" and
"deleted" so it never sees when packages are removed leaving zombie entries in
the WebGUI (and DB).

Version-Release number of selected component (if applicable):

5.1

How reproducible:

Always.

Steps to Reproduce:
1. yum remove yum-updatesd
2.
3.
  
Actual results:

package is not removed from installed list on satellite.

Expected results:

package should be removed from list.

Additional info:

on the clients in /usr/lib/yum-plugins/rhnplugin.py in the make_package_delta
function it initialises as follows.
    delta = {}
    delta["added"] = []
    delta["removed"] = []

on the server in /usr/share/rhn/server/handlers/xmlrpc/registration.py in the
delta_packages handler it retrieves
        added_packages = packages.get('added')
        removed_packages = packages.get('deleted')

Comment 13 errata-xmlrpc 2009-01-20 21:54:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0195.html


Note You need to log in before you can comment on or make changes to this bug.